> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# accounts receivable installments cursor pagination



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/accounts-receivable
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/accounts-receivable:
    get:
      tags:
        - 'Accounts Receivable:'
      summary: accounts receivable installments cursor pagination
      operationId: AccountsReceivableController_findAll_v1
      parameters:
        - name: limit
          required: false
          in: query
          description: 'pagination: limit of entities returned by query'
          schema:
            maximum: 50
            default: 10
            type: number
        - name: cursorId
          required: false
          in: query
          description: >-
            pagination: cursor of the last loaded item. omit it to get the first
            page
          schema:
            type: string
        - name: receivableCode
          required: false
          in: query
          description: filter by exact receivable code
          schema:
            type: string
        - name: integrationCode
          required: false
          in: query
          description: filter by exact integration code
          schema:
            type: string
        - name: status
          required: false
          in: query
          description: filter by installment status
          schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - PAID
                - OVERDUE
        - name: documentType
          required: false
          in: query
          description: filter by document type
          schema:
            type: array
            items:
              type: string
              enum:
                - INVOICE
                - CREDIT
                - DEBIT
                - CASH
                - CHECK
                - PIX
        - name: expirationDateStart
          required: false
          in: query
          description: expiration date range start
          schema:
            format: date
            type: string
        - name: expirationDateEnd
          required: false
          in: query
          description: expiration date range end
          schema:
            format: date
            type: string
        - name: paymentDateStart
          required: false
          in: query
          description: payment date range start
          schema:
            format: date
            type: string
        - name: paymentDateEnd
          required: false
          in: query
          description: payment date range end
          schema:
            format: date
            type: string
        - name: customerCpfCnpj
          required: false
          in: query
          description: filter by customer CPF or CNPJ
          schema:
            type: string
        - name: customerCode
          required: false
          in: query
          description: filter by customer code
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/AccountsReceivableInstallmentListDTO
                  nextCursor:
                    type: string
                    nullable: true
                    description: when the field is null, it means that pagination has ended
          description: accounts receivable installments cursor pagination
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    AccountsReceivableInstallmentListDTO:
      type: object
      properties:
        id:
          type: string
          description: installment id
        receivableCode:
          type: string
          description: receivable code (groups installments of the same receivable)
        integrationCode:
          type: string
          description: integration code
        installmentNumber:
          type: number
          description: installment number
        documentType:
          type: string
          description: document type
          enum:
            - INVOICE
            - CREDIT
            - DEBIT
            - CASH
            - CHECK
            - PIX
        status:
          type: string
          description: installment status
          enum:
            - PENDING
            - PAID
            - OVERDUE
        expirationDate:
          type: string
          description: due date of the installment
          format: date
        paymentDate:
          type: string
          description: payment date as informed by the source, not tied to the status
          format: date
          nullable: true
        value:
          type: number
          description: amount to be received
        grossValue:
          type: number
          description: gross value
        netValue:
          type: number
          description: net value
        paidValue:
          type: number
          description: paid value
        discount:
          type: number
          description: discount value
          nullable: true
        chargesValue:
          type: number
          description: charges value
          nullable: true
        bankSlipBarcode:
          type: string
          description: bank slip barcode
          nullable: true
        digitableLine:
          type: string
          description: bank slip digitable line
          nullable: true
        pixQrCode:
          type: string
          description: pix QR code
          nullable: true
        pdfUrl:
          type: string
          description: bank slip pdf url
          nullable: true
        createdAt:
          format: date-time
          type: string
          description: creation date
        invoiceId:
          type: string
          description: invoice id
        customer:
          description: customer summary
          allOf:
            - $ref: '#/components/schemas/AccountsReceivableInstallmentCustomerDTO'
      required:
        - id
        - receivableCode
        - integrationCode
        - installmentNumber
        - documentType
        - status
        - expirationDate
        - paymentDate
        - value
        - grossValue
        - netValue
        - paidValue
        - discount
        - chargesValue
        - bankSlipBarcode
        - digitableLine
        - pixQrCode
        - pdfUrl
        - createdAt
        - invoiceId
        - customer
    AccountsReceivableInstallmentCustomerDTO:
      type: object
      properties:
        id:
          type: string
          description: customer id
        code:
          type: string
          nullable: true
          description: customer code
        cpfCnpj:
          type: string
          description: customer CPF or CNPJ
          nullable: true
        commercialName:
          type: string
          description: customer commercial name
        companyName:
          type: string
          description: customer company name
          nullable: true
      required:
        - id
        - code
        - cpfCnpj
        - commercialName
        - companyName
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.